# Generated by Django 4.1.3 on 2022-12-03 18:21
from __future__ import annotations

import auto_prefetch
import django.contrib.postgres.fields
import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Animation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "width",
                    models.IntegerField(help_text="Video width as defined by sender"),
                ),
                (
                    "height",
                    models.IntegerField(help_text="Video height as defined by sender"),
                ),
                (
                    "duration",
                    models.IntegerField(
                        help_text="Duration of the video in seconds as defined by sender"
                    ),
                ),
                (
                    "file_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Original animation filename as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the file as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. File size in bytes. It can be bigger than 2^31 and some programming languages may\n        have difficulty/silent defects in interpreting it. But it has at most 52 significant\n        bits, so a signed 64-bit integer or double-precision float type are safe for storing\n        this value.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Audio",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(
                        help_text="Duration of the audio in seconds as defined by sender"
                    ),
                ),
                (
                    "performer",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Performer of the audio as defined by sender or by audio tags",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title of the audio as defined by sender or by audio tags",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Original filename as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the file as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. File size in bytes. It can be bigger than 2^31 and some programming languages may\n        have difficulty/silent defects in interpreting it. But it has at most 52 significant\n        bits, so a signed 64-bit integer or double-precision float type are safe for storing\n        this value.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommand",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "command",
                    models.CharField(
                        help_text="Text of the command; 1-32 characters. Can contain only lowercase English letters, digits and\n        underscores.",
                        max_length=128,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        help_text="Description of the command; 1-256 characters.",
                        max_length=256,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeAllChatAdministrators",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be all_chat_administrators",
                        max_length=16,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeAllGroupChats",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be all_group_chats", max_length=16
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeAllPrivateChats",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be all_private_chats", max_length=16
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeChat",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be chat", max_length=16
                    ),
                ),
                (
                    "chat_id",
                    models.IntegerField(
                        help_text="Unique identifier for the target chat or username of the target supergroup (in the format\n        @supergroupusername)"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeChatAdministrators",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be chat_administrators",
                        max_length=16,
                    ),
                ),
                (
                    "chat_id",
                    models.IntegerField(
                        help_text="Unique identifier for the target chat or username of the target supergroup (in the format\n        @supergroupusername)"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeChatMember",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be chat_member", max_length=16
                    ),
                ),
                (
                    "chat_id",
                    models.IntegerField(
                        help_text="Unique identifier for the target chat or username of the target supergroup (in the format\n        @supergroupusername)"
                    ),
                ),
                (
                    "user_id",
                    models.IntegerField(
                        help_text="Unique identifier of the target user"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BotCommandScopeDefault",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Scope type, must be default", max_length=16
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CallbackGame",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CallbackQuery",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this query", max_length=128
                    ),
                ),
                (
                    "inline_message_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Identifier of the message sent via the bot in inline mode, that originated\n        the query.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "chat_instance",
                    models.CharField(
                        help_text="Global identifier, uniquely corresponding to the chat to which the message with the\n        callback button was sent. Useful for high scores in games.",
                        max_length=128,
                    ),
                ),
                (
                    "data",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Data associated with the callback button. Be aware that the message originated the query\n        can contain no callback buttons with this data.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "game_short_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short name of a Game to be returned, serves as the unique identifier for the\n        game",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Chat",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.BigIntegerField(
                        help_text="Unique identifier for this chat. This number may have more than 32 significant bits and some\n        programming languages may have difficulty/silent defects in interpreting it. But it\n        has at most 52 significant bits, so a signed 64-bit integer or double-precision\n        float type are safe for storing this identifier."
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of chat, can be either “private”, “group”, “supergroup” or “channel”",
                        max_length=16,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title, for supergroups, channels and group chats",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "username",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Username, for private chats, supergroups and channels if available",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. First name of the other party in a private chat",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Last name of the other party in a private chat",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "is_forum",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the supergroup chat is a forum (has topics enabled)",
                        null=True,
                    ),
                ),
                (
                    "all_members_are_administrators",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if all the members of the chat object are administrators",
                        null=True,
                    ),
                ),
                (
                    "active_usernames",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.CharField(
                            blank=True, max_length=64, null=True
                        ),
                        blank=True,
                        help_text="Optional. If non-empty, the list of all active chat usernames; for private chats,\n        supergroups and channels. Returned only in getChat.",
                        null=True,
                        size=None,
                    ),
                ),
                (
                    "emoji_status_custom_emoji_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Custom emoji identifier of emoji status of the other party in a\n        private chat. Returned only in getChat.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "bio",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Bio of the other party in a private chat. Returned only in getChat.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "has_private_forwards",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if privacy settings of the other party in the private chat allows\n        to use tg://user?id=<user_id> links only in chats with the user. Returned\n        only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "has_restricted_voice_and_video_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the privacy settings of the other party\n        restrict sending voice and video note messages in the\n        private chat. Returned only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "join_to_send_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if users need to join the supergroup before they can send\n        messages. Returned only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "join_by_request",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if all users directly joining the supergroup need to be approved by\n        supergroup administrators. Returned only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Description, for groups, supergroups and channel chats. Returned only in getChat.",
                        max_length=256,
                        null=True,
                    ),
                ),
                (
                    "invite_link",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Primary invite link, for groups, supergroups and channel chats. Returned only in\n        getChat.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "slow_mode_delay",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For supergroups, the minimum allowed delay between consecutive messages sent\n        by each unpriviledged user; in seconds. Returned only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "message_auto_delete_time",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The time after which all messages sent to the chat will be\n        automatically deleted; in seconds. Returned only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "has_protected_content",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if messages from the chat can't be forwarded to other chats.\n        Returned only in getChat.",
                        null=True,
                    ),
                ),
                (
                    "sticker_set_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. For supergroups, name of group sticker set. Returned only in getChat.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "can_set_sticker_set",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the bot can change the group sticker set. Returned only in\n        getChat.",
                        null=True,
                    ),
                ),
                (
                    "linked_chat_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Unique identifier for the linked chat, i.e. the discussion group identifier for\n        a channel and vice versa; for supergroups and channel chats. This identifier may\n        be greater than 32 bits and some programming languages may have difficulty/silent\n        defects in interpreting it. But it is smaller than 52 bits, so a signed 64 bit\n        integer or double-precision float type are safe for storing this identifier.\n        Returned only in getChat.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatAdministratorRights",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "is_anonymous",
                    models.BooleanField(
                        help_text="True, if the user's presence in the chat is hidden"
                    ),
                ),
                (
                    "can_manage_chat",
                    models.BooleanField(
                        help_text="True, if the administrator can access the chat event log, chat statistics, message\n        statistics in channels, see channel members, see anonymous administrators in\n        supergroups and ignore slow mode. Implied by any other administrator privilege"
                    ),
                ),
                (
                    "can_delete_messages",
                    models.BooleanField(
                        help_text="True, if the administrator can delete messages of other users"
                    ),
                ),
                (
                    "can_manage_video_chats",
                    models.BooleanField(
                        help_text="True, if the administrator can manage video chats"
                    ),
                ),
                (
                    "can_restrict_members",
                    models.BooleanField(
                        help_text="True, if the administrator can restrict, ban or unban chat members"
                    ),
                ),
                (
                    "can_promote_members",
                    models.BooleanField(
                        help_text="True, if the administrator can add new administrators with a subset of their own\n        privileges or demote administrators that he has promoted, directly or\n        indirectly (promoted by administrators that were appointed by the user)"
                    ),
                ),
                (
                    "can_change_info",
                    models.BooleanField(
                        help_text="True, if the user is allowed to change the chat title, photo and other settings"
                    ),
                ),
                (
                    "can_invite_users",
                    models.BooleanField(
                        help_text="True, if the user is allowed to invite new users to the chat"
                    ),
                ),
                (
                    "can_post_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the administrator can post in the channel; channels only",
                        null=True,
                    ),
                ),
                (
                    "can_edit_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the administrator can edit messages of other users and can pin\n        messages; channels only",
                        null=True,
                    ),
                ),
                (
                    "can_pin_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to pin messages; groups and supergroups only",
                        null=True,
                    ),
                ),
                (
                    "can_manage_topics",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to create, rename, close, and reopen forum\n        topics; supergroups only",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatInviteLink",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "invite_link",
                    models.CharField(
                        help_text="The invite link. If the link was created by another chat administrator, then the second part\n        of the link will be replaced with “…”.",
                        max_length=128,
                    ),
                ),
                (
                    "creates_join_request",
                    models.BooleanField(
                        help_text="True, if users joining the chat via the link need to be approved by chat\n        administrators"
                    ),
                ),
                (
                    "is_primary",
                    models.BooleanField(help_text="True, if the link is primary"),
                ),
                (
                    "is_revoked",
                    models.BooleanField(help_text="True, if the link is revoked"),
                ),
                (
                    "name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Invite link name",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "expire_date",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Point in time (Unix timestamp) when the link will expire or has been expired",
                        null=True,
                    ),
                ),
                (
                    "member_limit",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The maximum number of users that can be members of the chat simultaneously after\n        joining the chat via this invite link; 1-99999",
                        null=True,
                    ),
                ),
                (
                    "pending_join_request_count",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Number of pending join requests created using this link",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatJoinRequest",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "date",
                    models.IntegerField(
                        help_text="Date the request was sent in Unix time"
                    ),
                ),
                (
                    "bio",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Bio of the user.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "chat",
                    auto_prefetch.ForeignKey(
                        help_text="Chat to which the request was sent",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.chat",
                    ),
                ),
                (
                    "invite_link",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Chat invite link that was used by the user to send the join request",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.chatinvitelink",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMember",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMemberUpdated",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "date",
                    models.IntegerField(
                        help_text="Date the change was done in Unix time"
                    ),
                ),
                (
                    "chat",
                    auto_prefetch.ForeignKey(
                        help_text="Chat the user belongs to",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.chat",
                    ),
                ),
                (
                    "invite_link",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Chat invite link, which was used by the user to join the chat; for joining by\n        invite link events only.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.chatinvitelink",
                    ),
                ),
                (
                    "new_chat_member",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="New information about the chat member",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.chatmember",
                    ),
                ),
                (
                    "old_chat_member",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Previous information about the chat member",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.chatmember",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatPermissions",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "can_send_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to send text messages, contacts, locations and\n        venues",
                        null=True,
                    ),
                ),
                (
                    "can_send_media_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to send audios, documents, photos,\n        videos, video notes and voice notes, implies can_send_messages",
                        null=True,
                    ),
                ),
                (
                    "can_send_polls",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to send polls, implies can_send_messages",
                        null=True,
                    ),
                ),
                (
                    "can_send_other_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to send animations, games, stickers and\n        use inline bots, implies can_send_media_messages",
                        null=True,
                    ),
                ),
                (
                    "can_add_web_page_previews",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to add web page previews to their\n        messages, implies can_send_media_messages",
                        null=True,
                    ),
                ),
                (
                    "can_change_info",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to change the chat title, photo and other\n        settings. Ignored in public supergroups",
                        null=True,
                    ),
                ),
                (
                    "can_invite_users",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to invite new users to the chat",
                        null=True,
                    ),
                ),
                (
                    "can_pin_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to pin messages. Ignored in public supergroups",
                        null=True,
                    ),
                ),
                (
                    "can_manage_topics",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to create forum topics. If omitted defaults to\n        the value of can_pin_messages",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatPhoto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "small_file_id",
                    models.CharField(
                        help_text="File identifier of small (160x160) chat photo. This file_id can be used only for photo\n        download and only for as long as the photo is not changed.",
                        max_length=128,
                    ),
                ),
                (
                    "small_file_unique_id",
                    models.CharField(
                        help_text="Unique file identifier of small (160x160) chat photo, which is supposed to be the\n        same over time and for different bots. Can't be used to download or reuse\n        the file.",
                        max_length=128,
                    ),
                ),
                (
                    "big_file_id",
                    models.CharField(
                        help_text="File identifier of big (640x640) chat photo. This file_id can be used only for photo\n        download and only for as long as the photo is not changed.",
                        max_length=128,
                    ),
                ),
                (
                    "big_file_unique_id",
                    models.CharField(
                        help_text="Unique file identifier of big (640x640) chat photo, which is supposed to be the same\n        over time and for different bots. Can't be used to download or reuse the\n        file.",
                        max_length=128,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChosenInlineResult",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "result_id",
                    models.CharField(
                        help_text="The unique identifier for the result that was chosen",
                        max_length=128,
                    ),
                ),
                (
                    "inline_message_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Identifier of the sent inline message. Available only if there is an inline\n        keyboard attached to the message. Will be also received in callback queries\n        and can be used to edit the message.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "query",
                    models.CharField(
                        help_text="The query that was used to obtain the result",
                        max_length=128,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Contact",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        help_text="Contact's phone number", max_length=128
                    ),
                ),
                (
                    "first_name",
                    models.CharField(help_text="Contact's first name", max_length=32),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Contact's last name",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "user_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Contact's user identifier in Telegram. This number may have more than 32 significant\n        bits and some programming languages may have difficulty/silent defects in interpreting\n        it. But it has at most 52 significant bits, so a 64-bit integer or double-precision\n        float type are safe for storing this identifier.",
                        null=True,
                    ),
                ),
                (
                    "vcard",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Additional data about the contact in the form of a vCard",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Dice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "emoji",
                    models.CharField(
                        help_text="Emoji on which the dice throw animation is based",
                        max_length=1,
                    ),
                ),
                (
                    "value",
                    models.IntegerField(
                        help_text="Value of the dice, 1-6 for “”, “” and “” base emoji, 1-5 for “” and “” base emoji, 1-64 for “”\n        base emoji"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Document",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "file_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Original filename as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the file as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. File size in bytes. It can be bigger than 2^31 and some programming languages may\n        have difficulty/silent defects in interpreting it. But it has at most 52 significant\n        bits, so a signed 64-bit integer or double-precision float type are safe for storing\n        this value.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="EncryptedCredentials",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "data",
                    models.CharField(
                        help_text="Base64-encoded encrypted JSON-serialized data with unique user's payload, data hashes and secrets\n        required for EncryptedPassportElement decryption and authentication",
                        max_length=128,
                    ),
                ),
                (
                    "hash",
                    models.CharField(
                        help_text="Base64-encoded data hash for data authentication",
                        max_length=128,
                    ),
                ),
                (
                    "secret",
                    models.CharField(
                        help_text="Base64-encoded secret, encrypted with the bot's public RSA key, required for data decryption",
                        max_length=128,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="EncryptedPassportElement",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Element type. One of “personal_details”, “passport”, “driver_license”, “identity_card”,\n        “internal_passport”, “address”, “utility_bill”, “bank_statement”, “rental_agreement”,\n        “passport_registration”, “temporary_registration”, “phone_number”, “email”.",
                        max_length=16,
                    ),
                ),
                (
                    "data",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Base64-encoded encrypted Telegram Passport element data provided by the user, available\n        for “personal_details”, “passport”, “driver_license”, “identity_card”, “internal_passport”\n        and “address” types. Can be decrypted and verified using the accompanying\n        EncryptedCredentials.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User's verified phone number, available only for “phone_number” type",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "email",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User's verified email address, available only for “email” type",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "hash",
                    models.CharField(
                        help_text="Base64-encoded element hash for using in PassportElementErrorUnspecified",
                        max_length=128,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="File",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. File size in bytes. It can be bigger than 2^31 and some programming languages may\n        have difficulty/silent defects in interpreting it. But it has at most 52 significant\n        bits, so a signed 64-bit integer or double-precision float type are safe for storing\n        this value.",
                        null=True,
                    ),
                ),
                (
                    "file_path",
                    models.CharField(
                        blank=True,
                        help_text="Optional. File path. Use https://api.telegram.org/file/bot<token>/<file_path> to get the file.",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ForceReply",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "force_reply",
                    models.BooleanField(
                        help_text="Shows reply interface to the user, as if they manually selected the bot's message and tapped\n        'Reply'"
                    ),
                ),
                (
                    "input_field_placeholder",
                    models.CharField(
                        blank=True,
                        help_text="Optional. The placeholder to be shown in the input field when the reply is\n        active; 1-64 characters",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "selective",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Use this parameter if you want to force reply from specific users only. Targets: 1)\n        users that are @mentioned in the text of the Message object; 2) if the bot's message\n        is a reply (has reply_to_message_id), sender of the original message.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ForumTopic",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "message_thread_id",
                    models.IntegerField(
                        help_text="Unique identifier of the forum topic"
                    ),
                ),
                (
                    "name",
                    models.CharField(help_text="Name of the topic", max_length=32),
                ),
                (
                    "icon_color",
                    models.IntegerField(
                        help_text="Color of the topic icon in RGB format"
                    ),
                ),
                (
                    "icon_custom_emoji_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Unique identifier of the custom emoji shown as the topic icon",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ForumTopicClosed",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ForumTopicCreated",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(help_text="Name of the topic", max_length=32),
                ),
                (
                    "icon_color",
                    models.IntegerField(
                        help_text="Color of the topic icon in RGB format"
                    ),
                ),
                (
                    "icon_custom_emoji_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Unique identifier of the custom emoji shown as the topic icon",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ForumTopicReopened",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Game",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title of the game", max_length=128),
                ),
                (
                    "description",
                    models.CharField(
                        help_text="Description of the game", max_length=128
                    ),
                ),
                (
                    "text",
                    models.TextField(
                        blank=True,
                        help_text="Optional. Brief description of the game or high scores included in the game message. Can be\n        automatically edited to include current high scores for the game when the bot calls\n        setGameScore, or manually edited using editMessageText. 0-4096 characters.",
                        max_length=4096,
                        null=True,
                    ),
                ),
                (
                    "animation",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Animation that will be displayed in the game message in chats. Upload via BotFather",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.animation",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineKeyboardMarkup",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "inline_keyboard",
                    models.JSONField(
                        help_text="Array of button rows, each represented by an Array of InlineKeyboardButton objects"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQuery",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this query", max_length=128
                    ),
                ),
                (
                    "query",
                    models.CharField(
                        help_text="Text of the query (up to 256 characters)",
                        max_length=256,
                    ),
                ),
                (
                    "offset",
                    models.CharField(
                        help_text="Offset of the results to be returned, can be controlled by the bot",
                        max_length=64,
                    ),
                ),
                (
                    "chat_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Type of the chat from which the inline query was sent. Can be either “sender” for a\n        private chat with the inline query sender, “private”, “group”, “supergroup”, or\n        “channel”. The chat type should be always known for requests sent from official\n        clients and most third-party clients, unless the request was sent from a secret chat",
                        max_length=16,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputContactMessageContent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        help_text="Contact's phone number", max_length=128
                    ),
                ),
                (
                    "first_name",
                    models.CharField(help_text="Contact's first name", max_length=32),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Contact's last name",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "vcard",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Additional data about the contact in the form of a vCard, 0-2048 bytes",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputInvoiceMessageContent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        help_text="Product name, 1-32 characters", max_length=32
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        help_text="Product description, 1-255 characters",
                        max_length=256,
                    ),
                ),
                (
                    "payload",
                    models.CharField(
                        help_text="Bot-defined invoice payload, 1-128 bytes. This will not be displayed to the user, use for your\n        internal processes.",
                        max_length=128,
                    ),
                ),
                (
                    "provider_token",
                    models.CharField(
                        help_text="Payment provider token, obtained via @BotFather",
                        max_length=128,
                    ),
                ),
                (
                    "currency",
                    models.CharField(
                        help_text="Three-letter ISO 4217 currency code, see more on currencies",
                        max_length=128,
                    ),
                ),
                (
                    "max_tip_amount",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The maximum accepted amount for tips in the smallest units of the currency\n        (integer, not float/double). For example, for a maximum tip of US$ 1.45 pass\n        max_tip_amount = 145. See the exp parameter in currencies.json, it shows the\n        number of digits past the decimal point for each currency (2 for the majority of\n        currencies). Defaults to 0",
                        null=True,
                    ),
                ),
                (
                    "suggested_tip_amounts",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.IntegerField(blank=True, null=True),
                        blank=True,
                        help_text="Optional. A JSON-serialized array of suggested amounts of tip in the smallest\n        units of the currency (integer, not float/double). At most 4 suggested tip\n        amounts can be specified. The suggested tip amounts must be positive,\n        passed in a strictly increased order and must not exceed max_tip_amount.",
                        null=True,
                        size=None,
                    ),
                ),
                (
                    "provider_data",
                    models.CharField(
                        blank=True,
                        help_text="Optional. A JSON-serialized object for data about the invoice, which will be shared with\n        the payment provider. A detailed description of the required fields should be\n        provided by the payment provider.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "photo_url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. URL of the product photo for the invoice. Can be a photo of the goods or a marketing\n        image for a service.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "photo_size",
                    models.IntegerField(
                        blank=True, help_text="Optional. Photo size in bytes", null=True
                    ),
                ),
                (
                    "photo_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Photo width", null=True
                    ),
                ),
                (
                    "photo_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Photo height", null=True
                    ),
                ),
                (
                    "need_name",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if you require the user's full name to complete the order",
                        null=True,
                    ),
                ),
                (
                    "need_phone_number",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if you require the user's phone number to complete the order",
                        null=True,
                    ),
                ),
                (
                    "need_email",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if you require the user's email address to complete the order",
                        null=True,
                    ),
                ),
                (
                    "need_shipping_address",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if you require the user's shipping address to complete the\n        order",
                        null=True,
                    ),
                ),
                (
                    "send_phone_number_to_provider",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if the user's phone number should be sent to provider",
                        null=True,
                    ),
                ),
                (
                    "send_email_to_provider",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if the user's email address should be sent to provider",
                        null=True,
                    ),
                ),
                (
                    "is_flexible",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if the final price depends on the shipping method",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputLocationMessageContent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "latitude",
                    models.BooleanField(
                        help_text="Latitude of the location in degrees"
                    ),
                ),
                (
                    "longitude",
                    models.BooleanField(
                        help_text="Longitude of the location in degrees"
                    ),
                ),
                (
                    "horizontal_accuracy",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. The radius of uncertainty for the location, measured in meters; 0-1500",
                        null=True,
                    ),
                ),
                (
                    "live_period",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Period in seconds for which the location can be updated, should be between 60 and\n        86400.",
                        null=True,
                    ),
                ),
                (
                    "heading",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For live locations, a direction in which the user is moving, in degrees. Must be\n        between 1 and 360 if specified.",
                        null=True,
                    ),
                ),
                (
                    "proximity_alert_radius",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For live locations, a maximum distance for proximity alerts about\n        approaching another chat member, in meters. Must be between 1 and 100000\n        if specified.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputVenueMessageContent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "latitude",
                    models.BooleanField(help_text="Latitude of the venue in degrees"),
                ),
                (
                    "longitude",
                    models.BooleanField(help_text="Longitude of the venue in degrees"),
                ),
                (
                    "title",
                    models.CharField(help_text="Name of the venue", max_length=128),
                ),
                (
                    "address",
                    models.CharField(help_text="Address of the venue", max_length=128),
                ),
                (
                    "foursquare_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Foursquare identifier of the venue, if known",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "foursquare_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Foursquare type of the venue, if known. (For example,\n        “arts_entertainment/default”, “arts_entertainment/aquarium” or “food/icecream”.)",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "google_place_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Google Places identifier of the venue",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "google_place_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Google Places type of the venue. (See supported types.)",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Invoice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(help_text="Product name", max_length=128)),
                (
                    "description",
                    models.CharField(help_text="Product description", max_length=128),
                ),
                (
                    "start_parameter",
                    models.CharField(
                        help_text="Unique bot deep-linking parameter that can be used to generate this invoice",
                        max_length=128,
                    ),
                ),
                (
                    "currency",
                    models.CharField(
                        help_text="Three-letter ISO 4217 currency code", max_length=128
                    ),
                ),
                (
                    "total_amount",
                    models.IntegerField(
                        help_text="Total price in the smallest units of the currency (integer, not float/double). For example,\n        for a price of US$ 1.45 pass amount = 145. See the exp parameter in\n        currencies.json, it shows the number of digits past the decimal point for each\n        currency (2 for the majority of currencies)."
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="KeyboardButtonPollType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. If quiz is passed, the user will be allowed to create only polls in the quiz mode. If\n        regular is passed, only regular polls will be allowed. Otherwise, the user will be allowed\n        to create a poll of any type.",
                        max_length=16,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LabeledPrice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("label", models.CharField(help_text="Portion label", max_length=128)),
                (
                    "amount",
                    models.IntegerField(
                        help_text="Price of the product in the smallest units of the currency (integer, not float/double). For\n        example, for a price of US$ 1.45 pass amount = 145. See the exp parameter in\n        currencies.json, it shows the number of digits past the decimal point for each currency\n        (2 for the majority of currencies)."
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Location",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "longitude",
                    models.BooleanField(help_text="Longitude as defined by sender"),
                ),
                (
                    "latitude",
                    models.BooleanField(help_text="Latitude as defined by sender"),
                ),
                (
                    "horizontal_accuracy",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. The radius of uncertainty for the location, measured in meters; 0-1500",
                        null=True,
                    ),
                ),
                (
                    "live_period",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Time relative to the message sending date, during which the location can be\n        updated; in seconds. For active live locations only.",
                        null=True,
                    ),
                ),
                (
                    "heading",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The direction in which user is moving, in degrees; 1-360. For active live locations\n        only.",
                        null=True,
                    ),
                ),
                (
                    "proximity_alert_radius",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The maximum distance for proximity alerts about approaching another\n        chat member, in meters. For sent live locations only.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LoginUrl",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "url",
                    models.CharField(
                        help_text="An HTTPS URL to be opened with user authorization data added to the query string when the button is\n        pressed. If the user refuses to provide authorization data, the original URL without\n        information about the user will be opened. The data added is the same as described in\n        Receiving authorization data.NOTE: You must always check the hash of the received data to\n        verify the authentication and the integrity of the data as described in Checking\n        authorization.",
                        max_length=128,
                    ),
                ),
                (
                    "forward_text",
                    models.CharField(
                        blank=True,
                        help_text="Optional. New text of the button in forwarded messages.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "bot_username",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Username of a bot, which will be used for user authorization. See Setting up a\n        bot for more details. If not specified, the current bot's username will be assumed.\n        The url's domain must be the same as the domain linked with the bot. See Linking\n        your domain to the bot for more details.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "request_write_access",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True to request the permission for your bot to send messages to the\n        user.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MaskPosition",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "point",
                    models.CharField(
                        help_text="The part of the face relative to which the mask should be placed. One of “forehead”, “eyes”,\n        “mouth”, or “chin”.",
                        max_length=128,
                    ),
                ),
                (
                    "x_shift",
                    models.BooleanField(
                        help_text="Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. For\n        example, choosing -1.0 will place mask just to the left of the default mask position."
                    ),
                ),
                (
                    "y_shift",
                    models.BooleanField(
                        help_text="Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. For\n        example, 1.0 will place the mask just below the default mask position."
                    ),
                ),
                (
                    "scale",
                    models.BooleanField(
                        help_text="Mask scaling coefficient. For example, 2.0 means double size."
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MenuButtonCommands",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the button, must be commands", max_length=16
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MenuButtonDefault",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the button, must be default", max_length=16
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Message",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "message_id",
                    models.IntegerField(
                        help_text="Unique message identifier inside this chat"
                    ),
                ),
                (
                    "message_thread_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Unique identifier of a message thread to which the message belongs; for\n        supergroups only",
                        null=True,
                    ),
                ),
                (
                    "date",
                    models.IntegerField(
                        help_text="Date the message was sent in Unix time"
                    ),
                ),
                (
                    "forward_from_message_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For messages forwarded from channels, identifier of the original\n        message in the channel",
                        null=True,
                    ),
                ),
                (
                    "forward_signature",
                    models.CharField(
                        blank=True,
                        help_text="Optional. For forwarded messages that were originally sent in channels or by an\n        anonymous chat administrator, signature of the message sender if present",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "forward_sender_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Sender's name for messages forwarded from users who disallow adding a link\n        to their account in forwarded messages",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "forward_date",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For forwarded messages, date the original message was sent in Unix time",
                        null=True,
                    ),
                ),
                (
                    "is_topic_message",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the message is sent to a forum topic",
                        null=True,
                    ),
                ),
                (
                    "is_automatic_forward",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the message is a channel post that was automatically forwarded\n        to the connected discussion group",
                        null=True,
                    ),
                ),
                (
                    "edit_date",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Date the message was last edited in Unix time",
                        null=True,
                    ),
                ),
                (
                    "has_protected_content",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the message can't be forwarded",
                        null=True,
                    ),
                ),
                (
                    "media_group_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. The unique identifier of a media message group this message belongs to",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "author_signature",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Signature of the post author for messages in channels, or the custom title of\n        an anonymous group administrator",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "text",
                    models.TextField(
                        blank=True,
                        help_text="Optional. For text messages, the actual UTF-8 text of the message",
                        max_length=4096,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption for the animation, audio, document, photo, video or voice",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "new_chat_title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. A chat title was changed to this value",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "delete_chat_photo",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Service message: the chat photo was deleted",
                        null=True,
                    ),
                ),
                (
                    "group_chat_created",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Service message: the group has been created",
                        null=True,
                    ),
                ),
                (
                    "supergroup_chat_created",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Service message: the supergroup has been created. This field can't be\n        received in a message coming through updates, because bot can't be a\n        member of a supergroup when it is created. It can only be found in\n        reply_to_message if someone replies to a very first message in a\n        directly created supergroup.",
                        null=True,
                    ),
                ),
                (
                    "channel_chat_created",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Service message: the channel has been created. This field can't be\n        received in a message coming through updates, because bot can't be a member\n        of a channel when it is created. It can only be found in reply_to_message\n        if someone replies to a very first message in a channel.",
                        null=True,
                    ),
                ),
                (
                    "migrate_to_chat_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The group has been migrated to a supergroup with the specified identifier.\n        This number may have more than 32 significant bits and some programming\n        languages may have difficulty/silent defects in interpreting it. But it has\n        at most 52 significant bits, so a signed 64-bit integer or double-precision\n        float type are safe for storing this identifier.",
                        null=True,
                    ),
                ),
                (
                    "migrate_from_chat_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The supergroup has been migrated from a group with the specified\n        identifier. This number may have more than 32 significant bits and some\n        programming languages may have difficulty/silent defects in interpreting\n        it. But it has at most 52 significant bits, so a signed 64-bit integer or\n        double-precision float type are safe for storing this identifier.",
                        null=True,
                    ),
                ),
                (
                    "connected_website",
                    models.CharField(
                        blank=True,
                        help_text="Optional. The domain name of the website on which the user has logged in. More about\n        Telegram Login »",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "animation",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Message is an animation, information about the animation. For backward\n        compatibility, when this field is set, the document field will also be set",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.animation",
                    ),
                ),
                (
                    "audio",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Message is an audio file, information about the file",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.audio",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MessageAutoDeleteTimerChanged",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "message_auto_delete_time",
                    models.IntegerField(
                        help_text="New auto-delete time for messages in the chat; in seconds"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MessageEntity",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the entity. Currently, can be “mention” (@username), “hashtag” (#hashtag), “cashtag”\n        ($USD), “bot_command” (/start@jobs_bot), “url” (https://telegram.org), “email” (do-not-\n        reply@telegram.org), “phone_number” (+1-212-555-0123), “bold” (bold text), “italic” (italic\n        text), “underline” (underlined text), “strikethrough” (strikethrough text), “spoiler”\n        (spoiler message), “code” (monowidth string), “pre” (monowidth block), “text_link” (for\n        clickable text URLs), “text_mention” (for users without usernames), “custom_emoji” (for\n        inline custom emoji stickers)",
                        max_length=16,
                    ),
                ),
                (
                    "offset",
                    models.IntegerField(
                        help_text="Offset in UTF-16 code units to the start of the entity"
                    ),
                ),
                (
                    "length",
                    models.IntegerField(
                        help_text="Length of the entity in UTF-16 code units"
                    ),
                ),
                (
                    "url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. For “text_link” only, URL that will be opened after user taps on the text",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "language",
                    models.CharField(
                        blank=True,
                        help_text="Optional. For “pre” only, the programming language of the entity text",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "custom_emoji_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. For “custom_emoji” only, unique identifier of the custom emoji. Use\n        getCustomEmojiStickers to get full information about the sticker",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="MessageId",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "message_id",
                    models.IntegerField(help_text="Unique message identifier"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="OrderInfo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User name",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User's phone number",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "email",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User email",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorDataField",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be data", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="The section of the user's Telegram Passport which has the error, one of “personal_details”,\n        “passport”, “driver_license”, “identity_card”, “internal_passport”, “address”",
                        max_length=16,
                    ),
                ),
                (
                    "field_name",
                    models.CharField(
                        help_text="Name of the data field which has the error",
                        max_length=128,
                    ),
                ),
                (
                    "data_hash",
                    models.CharField(
                        help_text="Base64-encoded data hash", max_length=128
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be file", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="The section of the user's Telegram Passport which has the issue, one of “utility_bill”,\n        “bank_statement”, “rental_agreement”, “passport_registration”, “temporary_registration”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hash",
                    models.CharField(
                        help_text="Base64-encoded file hash", max_length=128
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorFiles",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be files", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="The section of the user's Telegram Passport which has the issue, one of “utility_bill”,\n        “bank_statement”, “rental_agreement”, “passport_registration”, “temporary_registration”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hashes",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.CharField(
                            blank=True, max_length=64, null=True
                        ),
                        help_text="List of base64-encoded file hashes",
                        size=None,
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorFrontSide",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be front_side", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="The section of the user's Telegram Passport which has the issue, one of “passport”,\n        “driver_license”, “identity_card”, “internal_passport”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hash",
                    models.CharField(
                        help_text="Base64-encoded hash of the file with the front side of the document",
                        max_length=128,
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorReverseSide",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be reverse_side", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="The section of the user's Telegram Passport which has the issue, one of “driver_license”,\n        “identity_card”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hash",
                    models.CharField(
                        help_text="Base64-encoded hash of the file with the reverse side of the document",
                        max_length=128,
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorSelfie",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be selfie", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="The section of the user's Telegram Passport which has the issue, one of “passport”,\n        “driver_license”, “identity_card”, “internal_passport”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hash",
                    models.CharField(
                        help_text="Base64-encoded hash of the file with the selfie",
                        max_length=128,
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorTranslationFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be translation_file",
                        max_length=128,
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of element of the user's Telegram Passport which has the issue, one of “passport”,\n        “driver_license”, “identity_card”, “internal_passport”, “utility_bill”, “bank_statement”,\n        “rental_agreement”, “passport_registration”, “temporary_registration”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hash",
                    models.CharField(
                        help_text="Base64-encoded file hash", max_length=128
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorTranslationFiles",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be translation_files",
                        max_length=128,
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of element of the user's Telegram Passport which has the issue, one of “passport”,\n        “driver_license”, “identity_card”, “internal_passport”, “utility_bill”, “bank_statement”,\n        “rental_agreement”, “passport_registration”, “temporary_registration”",
                        max_length=16,
                    ),
                ),
                (
                    "file_hashes",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.CharField(
                            blank=True, max_length=64, null=True
                        ),
                        help_text="List of base64-encoded file hashes",
                        size=None,
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportElementErrorUnspecified",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "source",
                    models.CharField(
                        help_text="Error source, must be unspecified", max_length=128
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of element of the user's Telegram Passport which has the issue",
                        max_length=16,
                    ),
                ),
                (
                    "element_hash",
                    models.CharField(
                        help_text="Base64-encoded element hash", max_length=128
                    ),
                ),
                (
                    "message",
                    models.CharField(help_text="Error message", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PassportFile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                ("file_size", models.IntegerField(help_text="File size in bytes")),
                (
                    "file_date",
                    models.IntegerField(
                        help_text="Unix time when the file was uploaded"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PhotoSize",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                ("width", models.IntegerField(help_text="Photo width")),
                ("height", models.IntegerField(help_text="Photo height")),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True, help_text="Optional. File size in bytes", null=True
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Poll",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique poll identifier", max_length=128
                    ),
                ),
                (
                    "question",
                    models.CharField(
                        help_text="Poll question, 1-300 characters", max_length=128
                    ),
                ),
                (
                    "total_voter_count",
                    models.IntegerField(
                        help_text="Total number of users that voted in the poll"
                    ),
                ),
                (
                    "is_closed",
                    models.BooleanField(help_text="True, if the poll is closed"),
                ),
                (
                    "is_anonymous",
                    models.BooleanField(help_text="True, if the poll is anonymous"),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Poll type, currently can be “regular” or “quiz”",
                        max_length=16,
                    ),
                ),
                (
                    "allows_multiple_answers",
                    models.BooleanField(
                        help_text="True, if the poll allows multiple answers"
                    ),
                ),
                (
                    "correct_option_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. 0-based identifier of the correct answer option. Available only for polls in\n        the quiz mode, which are closed, or was sent (not forwarded) by the bot or to\n        the private chat with the bot.",
                        null=True,
                    ),
                ),
                (
                    "explanation",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Text that is shown when a user chooses an incorrect answer or taps on the lamp\n        icon in a quiz-style poll, 0-200 characters",
                        max_length=200,
                        null=True,
                    ),
                ),
                (
                    "open_period",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Amount of time in seconds the poll will be active after creation",
                        null=True,
                    ),
                ),
                (
                    "close_date",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Point in time (Unix timestamp) when the poll will be automatically closed",
                        null=True,
                    ),
                ),
                (
                    "explanation_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Special entities like usernames, URLs, bot commands, etc. that appear in\n        the explanation",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PollAnswer",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "poll_id",
                    models.CharField(
                        help_text="Unique poll identifier", max_length=128
                    ),
                ),
                (
                    "option_ids",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.IntegerField(blank=True, null=True),
                        help_text="0-based identifiers of answer options, chosen by the user. May be empty if the user retracted\n        their vote.",
                        size=None,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PollOption",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "text",
                    models.TextField(
                        help_text="Option text, 1-100 characters", max_length=128
                    ),
                ),
                (
                    "voter_count",
                    models.IntegerField(
                        help_text="Number of users that voted for this option"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PreCheckoutQuery",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique query identifier", max_length=128
                    ),
                ),
                (
                    "currency",
                    models.CharField(
                        help_text="Three-letter ISO 4217 currency code", max_length=128
                    ),
                ),
                (
                    "total_amount",
                    models.IntegerField(
                        help_text="Total price in the smallest units of the currency (integer, not float/double). For example,\n        for a price of US$ 1.45 pass amount = 145. See the exp parameter in\n        currencies.json, it shows the number of digits past the decimal point for each\n        currency (2 for the majority of currencies)."
                    ),
                ),
                (
                    "invoice_payload",
                    models.CharField(
                        help_text="Bot specified invoice payload", max_length=128
                    ),
                ),
                (
                    "shipping_option_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Identifier of the shipping option chosen by the user",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "order_info",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Order information provided by the user",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.orderinfo",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ReplyKeyboardMarkup",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "keyboard",
                    models.JSONField(
                        help_text="Array of button rows, each represented by an Array of KeyboardButton objects"
                    ),
                ),
                (
                    "resize_keyboard",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Requests clients to resize the keyboard vertically for optimal fit (e.g., make\n        the keyboard smaller if there are just two rows of buttons). Defaults to false,\n        in which case the custom keyboard is always of the same height as the app's\n        standard keyboard.",
                        null=True,
                    ),
                ),
                (
                    "one_time_keyboard",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Requests clients to hide the keyboard as soon as it's been used. The\n        keyboard will still be available, but clients will automatically display the\n        usual letter-keyboard in the chat - the user can press a special button in the\n        input field to see the custom keyboard again. Defaults to false.",
                        null=True,
                    ),
                ),
                (
                    "input_field_placeholder",
                    models.CharField(
                        blank=True,
                        help_text="Optional. The placeholder to be shown in the input field when the keyboard is\n        active; 1-64 characters",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "selective",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Use this parameter if you want to show the keyboard to specific users only. Targets:\n        1) users that are @mentioned in the text of the Message object; 2) if the bot's\n        message is a reply (has reply_to_message_id), sender of the original message.Example:\n        A user requests to change the bot's language, bot replies to the request with a\n        keyboard to select the new language. Other users in the group don't see the keyboard.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ReplyKeyboardRemove",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "remove_keyboard",
                    models.BooleanField(
                        help_text="Requests clients to remove the custom keyboard (user will not be able to summon this\n        keyboard; if you want to hide the keyboard from sight but keep it accessible,\n        use one_time_keyboard in ReplyKeyboardMarkup)"
                    ),
                ),
                (
                    "selective",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Use this parameter if you want to remove the keyboard for specific users only.\n        Targets: 1) users that are @mentioned in the text of the Message object; 2) if the\n        bot's message is a reply (has reply_to_message_id), sender of the original\n        message.Example: A user votes in a poll, bot returns confirmation message in reply to\n        the vote and removes the keyboard for that user, while still showing the keyboard with\n        poll options to users who haven't voted yet.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ResponseParameters",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "migrate_to_chat_id",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The group has been migrated to a supergroup with the specified identifier.\n        This number may have more than 32 significant bits and some programming\n        languages may have difficulty/silent defects in interpreting it. But it has\n        at most 52 significant bits, so a signed 64-bit integer or double-precision\n        float type are safe for storing this identifier.",
                        null=True,
                    ),
                ),
                (
                    "retry_after",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. In case of exceeding flood control, the number of seconds left to wait before the\n        request can be repeated",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="SentWebAppMessage",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "inline_message_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Identifier of the sent inline message. Available only if there is an inline\n        keyboard attached to the message.",
                        max_length=128,
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ShippingAddress",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "country_code",
                    models.CharField(
                        help_text="Two-letter ISO 3166-1 alpha-2 country code",
                        max_length=128,
                    ),
                ),
                (
                    "state",
                    models.CharField(help_text="State, if applicable", max_length=128),
                ),
                ("city", models.CharField(help_text="City", max_length=128)),
                (
                    "street_line1",
                    models.CharField(
                        help_text="First line for the address", max_length=128
                    ),
                ),
                (
                    "street_line2",
                    models.CharField(
                        help_text="Second line for the address", max_length=128
                    ),
                ),
                (
                    "post_code",
                    models.CharField(help_text="Address post code", max_length=128),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ShippingQuery",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique query identifier", max_length=128
                    ),
                ),
                (
                    "invoice_payload",
                    models.CharField(
                        help_text="Bot specified invoice payload", max_length=128
                    ),
                ),
                (
                    "shipping_address",
                    auto_prefetch.ForeignKey(
                        help_text="User specified shipping address",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.shippingaddress",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Sticker",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the sticker, currently one of “regular”, “mask”, “custom_emoji”. The type of the sticker is\n        independent from its format, which is determined by the fields is_animated and is_video.",
                        max_length=16,
                    ),
                ),
                ("width", models.IntegerField(help_text="Sticker width")),
                ("height", models.IntegerField(help_text="Sticker height")),
                (
                    "is_animated",
                    models.BooleanField(help_text="True, if the sticker is animated"),
                ),
                (
                    "is_video",
                    models.BooleanField(
                        help_text="True, if the sticker is a video sticker"
                    ),
                ),
                (
                    "emoji",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Emoji associated with the sticker",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "set_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Name of the sticker set to which the sticker belongs",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "custom_emoji_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. For custom emoji stickers, unique identifier of the custom emoji",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True, help_text="Optional. File size in bytes", null=True
                    ),
                ),
                (
                    "mask_position",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. For mask stickers, the position where the mask should be placed",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.maskposition",
                    ),
                ),
                (
                    "premium_animation",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. For premium regular stickers, premium animation for the sticker",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.file",
                    ),
                ),
                (
                    "thumb",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Sticker thumbnail in the .WEBP or .JPG format",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.photosize",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="User",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.BigIntegerField(
                        help_text="Unique identifier for this user or bot. This number may have more than 32 significant bits\n        and some programming languages may have difficulty/silent defects in interpreting\n        it. But it has at most 52 significant bits, so a 64-bit integer or double-precision\n        float type are safe for storing this identifier."
                    ),
                ),
                (
                    "is_bot",
                    models.BooleanField(help_text="True, if this user is a bot"),
                ),
                (
                    "first_name",
                    models.CharField(
                        help_text="User's or bot's first name", max_length=32
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User's or bot's last name",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "username",
                    models.CharField(
                        blank=True,
                        help_text="Optional. User's or bot's username",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "language_code",
                    models.CharField(
                        blank=True,
                        help_text="Optional. IETF language tag of the user's language",
                        max_length=4,
                        null=True,
                    ),
                ),
                (
                    "is_premium",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if this user is a Telegram Premium user",
                        null=True,
                    ),
                ),
                (
                    "added_to_attachment_menu",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if this user added the bot to the attachment menu",
                        null=True,
                    ),
                ),
                (
                    "can_join_groups",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the bot can be invited to groups. Returned only in getMe.",
                        null=True,
                    ),
                ),
                (
                    "can_read_all_group_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if privacy mode is disabled for the bot. Returned only in\n        getMe.",
                        null=True,
                    ),
                ),
                (
                    "supports_inline_queries",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the bot supports inline queries. Returned only in getMe.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="UserProfilePhotos",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "total_count",
                    models.IntegerField(
                        help_text="Total number of profile pictures the target user has"
                    ),
                ),
                (
                    "photos",
                    models.JSONField(
                        help_text="Requested profile pictures (in up to 4 sizes each)"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VideoChatEnded",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(help_text="Video chat duration in seconds"),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VideoChatScheduled",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "start_date",
                    models.IntegerField(
                        help_text="Point in time (Unix timestamp) when the video chat is supposed to be started by a chat\n        administrator"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VideoChatStarted",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Voice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(
                        help_text="Duration of the audio in seconds as defined by sender"
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the file as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. File size in bytes. It can be bigger than 2^31 and some programming languages may\n        have difficulty/silent defects in interpreting it. But it has at most 52 significant\n        bits, so a signed 64-bit integer or double-precision float type are safe for storing\n        this value.",
                        null=True,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="WebAppData",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "data",
                    models.CharField(
                        help_text="The data. Be aware that a bad client can send arbitrary data in this field.",
                        max_length=128,
                    ),
                ),
                (
                    "button_text",
                    models.CharField(
                        help_text="Text of the web_app keyboard button from which the Web App was opened. Be aware that a bad\n        client can send arbitrary data in this field.",
                        max_length=128,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="WebAppInfo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "url",
                    models.CharField(
                        help_text="An HTTPS URL of a Web App to be opened with additional data as specified in Initializing Web Apps",
                        max_length=128,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="WebhookInfo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "url",
                    models.CharField(
                        help_text="Webhook URL, may be empty if webhook is not set up",
                        max_length=128,
                    ),
                ),
                (
                    "has_custom_certificate",
                    models.BooleanField(
                        help_text="True, if a custom certificate was provided for webhook certificate checks"
                    ),
                ),
                (
                    "pending_update_count",
                    models.IntegerField(
                        help_text="Number of updates awaiting delivery"
                    ),
                ),
                (
                    "ip_address",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Currently used webhook IP address",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "last_error_date",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Unix time for the most recent error that happened when trying to deliver an\n        update via webhook",
                        null=True,
                    ),
                ),
                (
                    "last_error_message",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Error message in human-readable format for the most recent error that\n        happened when trying to deliver an update via webhook",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "last_synchronization_error_date",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Unix time of the most recent error that happened when trying\n        to synchronize available updates with Telegram datacenters",
                        null=True,
                    ),
                ),
                (
                    "max_connections",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. The maximum allowed number of simultaneous HTTPS connections to the webhook\n        for update delivery",
                        null=True,
                    ),
                ),
                (
                    "allowed_updates",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.CharField(
                            blank=True, max_length=64, null=True
                        ),
                        blank=True,
                        help_text="Optional. A list of update types the bot is subscribed to. Defaults to all update types\n        except chat_member",
                        null=True,
                        size=None,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VideoNote",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "length",
                    models.IntegerField(
                        help_text="Video width and height (diameter of the video message) as defined by sender"
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(
                        help_text="Duration of the video in seconds as defined by sender"
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True, help_text="Optional. File size in bytes", null=True
                    ),
                ),
                (
                    "thumb",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Video thumbnail",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.photosize",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VideoChatParticipantsInvited",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "users",
                    auto_prefetch.ForeignKey(
                        help_text="New members that were invited to the video chat",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Video",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file_id",
                    models.CharField(
                        help_text="Identifier for this file, which can be used to download or reuse the file",
                        max_length=128,
                    ),
                ),
                (
                    "file_unique_id",
                    models.CharField(
                        help_text="Unique identifier for this file, which is supposed to be the same over time and for\n        different bots. Can't be used to download or reuse the file.",
                        max_length=128,
                    ),
                ),
                (
                    "width",
                    models.IntegerField(help_text="Video width as defined by sender"),
                ),
                (
                    "height",
                    models.IntegerField(help_text="Video height as defined by sender"),
                ),
                (
                    "duration",
                    models.IntegerField(
                        help_text="Duration of the video in seconds as defined by sender"
                    ),
                ),
                (
                    "file_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Original filename as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the file as defined by sender",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "file_size",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. File size in bytes. It can be bigger than 2^31 and some programming languages may\n        have difficulty/silent defects in interpreting it. But it has at most 52 significant\n        bits, so a signed 64-bit integer or double-precision float type are safe for storing\n        this value.",
                        null=True,
                    ),
                ),
                (
                    "thumb",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Video thumbnail",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.photosize",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Venue",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Name of the venue", max_length=128),
                ),
                (
                    "address",
                    models.CharField(help_text="Address of the venue", max_length=128),
                ),
                (
                    "foursquare_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Foursquare identifier of the venue",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "foursquare_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Foursquare type of the venue. (For example, “arts_entertainment/default”,\n        “arts_entertainment/aquarium” or “food/icecream”.)",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "google_place_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Google Places identifier of the venue",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "google_place_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Google Places type of the venue. (See supported types.)",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "location",
                    auto_prefetch.ForeignKey(
                        help_text="Venue location. Can't be a live location",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.location",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Update",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "update_id",
                    models.IntegerField(
                        help_text="The update's unique identifier. Update identifiers start from a certain positive number and\n        increase sequentially. This ID becomes especially handy if you're using webhooks,\n        since it allows you to ignore repeated updates or to restore the correct update\n        sequence, should they get out of order. If there are no new updates for at least a\n        week, then identifier of the next update will be chosen randomly instead of\n        sequentially."
                    ),
                ),
                (
                    "callback_query",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New incoming callback query",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.callbackquery",
                    ),
                ),
                (
                    "channel_post",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New incoming channel post of any kind - text, photo, sticker, etc.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.message",
                    ),
                ),
                (
                    "chat_join_request",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. A request to join the chat has been sent. The bot must have the\n        can_invite_users administrator right in the chat to receive these updates.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.chatjoinrequest",
                    ),
                ),
                (
                    "chat_member",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. A chat member's status was updated in a chat. The bot must be an administrator in\n        the chat and must explicitly specify “chat_member” in the list of allowed_updates to\n        receive these updates.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.chatmemberupdated",
                    ),
                ),
                (
                    "chosen_inline_result",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. The result of an inline query that was chosen by a user and sent to their\n        chat partner. Please see our documentation on the feedback collecting for\n        details on how to enable these updates for your bot.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.choseninlineresult",
                    ),
                ),
                (
                    "edited_channel_post",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New version of a channel post that is known to the bot and was edited",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.message",
                    ),
                ),
                (
                    "edited_message",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New version of a message that is known to the bot and was edited",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.message",
                    ),
                ),
                (
                    "inline_query",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New incoming inline query",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinequery",
                    ),
                ),
                (
                    "message",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New incoming message of any kind - text, photo, sticker, etc.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.message",
                    ),
                ),
                (
                    "my_chat_member",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. The bot's chat member status was updated in a chat. For private chats, this\n        update is received only when the bot is blocked or unblocked by the user.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.chatmemberupdated",
                    ),
                ),
                (
                    "poll",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New poll state. Bots receive only updates about stopped polls and polls, which are sent\n        by the bot",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.poll",
                    ),
                ),
                (
                    "poll_answer",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. A user changed their answer in a non-anonymous poll. Bots receive new votes only\n        in polls that were sent by the bot itself.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.pollanswer",
                    ),
                ),
                (
                    "pre_checkout_query",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New incoming pre-checkout query. Contains full information about checkout",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.precheckoutquery",
                    ),
                ),
                (
                    "shipping_query",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. New incoming shipping query. Only for invoices with flexible price",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.shippingquery",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="SuccessfulPayment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "currency",
                    models.CharField(
                        help_text="Three-letter ISO 4217 currency code", max_length=128
                    ),
                ),
                (
                    "total_amount",
                    models.IntegerField(
                        help_text="Total price in the smallest units of the currency (integer, not float/double). For example,\n        for a price of US$ 1.45 pass amount = 145. See the exp parameter in\n        currencies.json, it shows the number of digits past the decimal point for each\n        currency (2 for the majority of currencies)."
                    ),
                ),
                (
                    "invoice_payload",
                    models.CharField(
                        help_text="Bot specified invoice payload", max_length=128
                    ),
                ),
                (
                    "shipping_option_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Identifier of the shipping option chosen by the user",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "telegram_payment_charge_id",
                    models.CharField(
                        help_text="Telegram payment identifier", max_length=128
                    ),
                ),
                (
                    "provider_payment_charge_id",
                    models.CharField(
                        help_text="Provider payment identifier", max_length=128
                    ),
                ),
                (
                    "order_info",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Order information provided by the user",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.orderinfo",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="StickerSet",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(help_text="Sticker set name", max_length=128),
                ),
                (
                    "title",
                    models.CharField(help_text="Sticker set title", max_length=128),
                ),
                (
                    "sticker_type",
                    models.CharField(
                        help_text="Type of stickers in the set, currently one of “regular”, “mask”, “custom_emoji”",
                        max_length=128,
                    ),
                ),
                (
                    "is_animated",
                    models.BooleanField(
                        help_text="True, if the sticker set contains animated stickers"
                    ),
                ),
                (
                    "is_video",
                    models.BooleanField(
                        help_text="True, if the sticker set contains video stickers"
                    ),
                ),
                (
                    "stickers",
                    auto_prefetch.ForeignKey(
                        help_text="List of all set stickers",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.sticker",
                    ),
                ),
                (
                    "thumb",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Sticker set thumbnail in the .WEBP, .TGS, or .WEBM format",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.photosize",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="shippingquery",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="User who sent the query",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.CreateModel(
            name="ShippingOption",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Shipping option identifier", max_length=128
                    ),
                ),
                ("title", models.CharField(help_text="Option title", max_length=128)),
                (
                    "prices",
                    auto_prefetch.ForeignKey(
                        help_text="List of price portions",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.labeledprice",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ProximityAlertTriggered",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "distance",
                    models.IntegerField(help_text="The distance between the users"),
                ),
                (
                    "traveler",
                    auto_prefetch.ForeignKey(
                        help_text="User that triggered the alert",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
                (
                    "watcher",
                    auto_prefetch.ForeignKey(
                        help_text="User that set the alert",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="precheckoutquery",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="User who sent the query",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="pollanswer",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="The user, who changed the answer to the poll",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="poll",
            name="options",
            field=auto_prefetch.ForeignKey(
                help_text="List of poll options",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.polloption",
            ),
        ),
        migrations.CreateModel(
            name="PassportData",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "credentials",
                    auto_prefetch.ForeignKey(
                        help_text="Encrypted credentials required to decrypt the data",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.encryptedcredentials",
                    ),
                ),
                (
                    "data",
                    auto_prefetch.ForeignKey(
                        help_text="Array with information about documents and other Telegram Passport elements that was shared with\n        the bot",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.encryptedpassportelement",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="orderinfo",
            name="shipping_address",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. User shipping address",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.shippingaddress",
            ),
        ),
        migrations.AddField(
            model_name="messageentity",
            name="user",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For “text_mention” only, the mentioned user",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="caption_entities",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For messages with a caption, special entities like usernames, URLs, bot\n        commands, etc. that appear in the caption",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.messageentity",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="chat",
            field=auto_prefetch.ForeignKey(
                help_text="Conversation the message belongs to",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.chat",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="contact",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a shared contact, information about the contact",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.contact",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="dice",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a dice with random value",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.dice",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="document",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a general file, information about the file",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.document",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="entities",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For text messages, special entities like usernames, URLs, bot commands, etc. that\n        appear in the text",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.messageentity",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="forum_topic_closed",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: forum topic closed",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.forumtopicclosed",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="forum_topic_created",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: forum topic created",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.forumtopiccreated",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="forum_topic_reopened",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: forum topic reopened",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.forumtopicreopened",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="forward_from",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For forwarded messages, sender of the original message",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="forward_from_chat",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For messages forwarded from channels or from anonymous administrators,\n        information about the original sender chat",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chat",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="game",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a game, information about the game. More about games »",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.game",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="invoice",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is an invoice for a payment, information about the invoice. More about\n        payments »",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.invoice",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="left_chat_member",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. A member was removed from the group, information about them (this member may\n        be the bot itself)",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="left_chat_participant",
            field=auto_prefetch.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chatmember",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="location",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a shared location, information about the location",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.location",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="message_auto_delete_timer_changed",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: auto-delete timer settings changed in the\n        chat",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.messageautodeletetimerchanged",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="new_chat_member",
            field=auto_prefetch.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chatmember",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="new_chat_members",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. New members that were added to the group or supergroup and information about\n        them (the bot itself may be one of these members)",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="new_chat_participant",
            field=auto_prefetch.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="new_chat_photo",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. A chat photo was change to this value",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.photosize",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="passport_data",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Telegram Passport data",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.passportdata",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="photo",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a photo, available sizes of the photo",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.photosize",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="pinned_message",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Specified message was pinned. Note that the Message object in this field will\n        not contain further reply_to_message fields even if it is itself a reply.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.message",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="poll",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a native poll, information about the poll",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.poll",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="proximity_alert_triggered",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message. A user in the chat triggered another user's\n        proximity alert while sharing Live Location.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.proximityalerttriggered",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="reply_markup",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Inline keyboard attached to the message. login_url buttons are represented as\n        ordinary url buttons.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.inlinekeyboardmarkup",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="reply_to_message",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For replies, the original message. Note that the Message object in this field\n        will not contain further reply_to_message fields even if it itself is a reply.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.message",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="sender_chat",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Sender of the message, sent on behalf of a chat. For example, the channel itself\n        for channel posts, the supergroup itself for messages from anonymous group\n        administrators, the linked channel for messages automatically forwarded to the\n        discussion group. For backward compatibility, the field from contains a fake sender\n        user in non-channel chats, if the message was sent on behalf of a chat.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chat",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="sticker",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a sticker, information about the sticker",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.sticker",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="successful_payment",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a service message about a successful payment, information about\n        the payment. More about payments »",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.successfulpayment",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="user",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Sender of the message; empty for messages sent to channels. For backward compatibility,\n        the field contains a fake sender user in non-channel chats, if the message was sent on\n        behalf of a chat.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="venue",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a venue, information about the venue. For backward compatibility, when this\n        field is set, the location field will also be set",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.venue",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="via_bot",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Bot through which the message was sent",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="video",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a video, information about the video",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.video",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="video_chat_ended",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: video chat ended",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.videochatended",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="video_chat_participants_invited",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: new participants invited to a video chat",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.videochatparticipantsinvited",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="video_chat_scheduled",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: video chat scheduled",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.videochatscheduled",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="video_chat_started",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: video chat started",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.videochatstarted",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="video_note",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a video note, information about the video message",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.videonote",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="voice",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message is a voice message, information about the file",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.voice",
            ),
        ),
        migrations.AddField(
            model_name="message",
            name="web_app_data",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Service message: data sent by a Web App",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.webappdata",
            ),
        ),
        migrations.CreateModel(
            name="MenuButtonWebApp",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the button, must be web_app", max_length=16
                    ),
                ),
                (
                    "text",
                    models.TextField(help_text="Text on the button", max_length=128),
                ),
                (
                    "web_app",
                    auto_prefetch.ForeignKey(
                        help_text="Description of the Web App that will be launched when the user presses the button. The Web App\n        will be able to send an arbitrary message on behalf of the user using the method\n        answerWebAppQuery.",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.webappinfo",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="KeyboardButton",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "text",
                    models.TextField(
                        help_text="Text of the button. If none of the optional fields are used, it will be sent as a message when the\n        button is pressed",
                        max_length=128,
                    ),
                ),
                (
                    "request_contact",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. If True, the user's phone number will be sent as a contact when the button is\n        pressed. Available in private chats only.",
                        null=True,
                    ),
                ),
                (
                    "request_location",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. If True, the user's current location will be sent when the button is pressed.\n        Available in private chats only.",
                        null=True,
                    ),
                ),
                (
                    "request_poll",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. If specified, the user will be asked to create a poll and send it to the bot when\n        the button is pressed. Available in private chats only.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.keyboardbuttonpolltype",
                    ),
                ),
                (
                    "web_app",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. If specified, the described Web App will be launched when the button is pressed. The\n        Web App will be able to send a “web_app_data” service message. Available in private\n        chats only.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.webappinfo",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputTextMessageContent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "message_text",
                    models.CharField(
                        help_text="Text of the message to be sent, 1-4096 characters",
                        max_length=4096,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the message text. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "disable_web_page_preview",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Disables link previews for links in the sent message",
                        null=True,
                    ),
                ),
                (
                    "entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in message text, which can be specified instead\n        of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputMessageContent",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "InputContactMessageContent",
                    auto_prefetch.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.inputcontactmessagecontent",
                    ),
                ),
                (
                    "InputInvoiceMessageContent",
                    auto_prefetch.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.inputinvoicemessagecontent",
                    ),
                ),
                (
                    "InputLocationMessageContent",
                    auto_prefetch.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.inputlocationmessagecontent",
                    ),
                ),
                (
                    "InputTextMessageContent",
                    auto_prefetch.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.inputtextmessagecontent",
                    ),
                ),
                (
                    "InputVenueMessageContent",
                    auto_prefetch.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="core.inputvenuemessagecontent",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputMediaVideo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be video", max_length=16
                    ),
                ),
                (
                    "media",
                    models.CharField(
                        help_text="File to send. Pass a file_id to send a file that exists on the Telegram servers (recommended),\n        pass an HTTP URL for Telegram to get a file from the Internet, or pass\n        “attach://<file_attach_name>” to upload a new one using multipart/form-data under\n        <file_attach_name> name. More information on Sending Files »",
                        max_length=128,
                    ),
                ),
                (
                    "thumb",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Thumbnail of the file sent; can be ignored if thumbnail generation for the file is\n        supported server-side. The thumbnail should be in JPEG format and less than 200 kB in\n        size. A thumbnail's width and height should not exceed 320. Ignored if the file is not\n        uploaded using multipart/form-data. Thumbnails can't be reused and can be only uploaded as\n        a new file, so you can pass “attach://<file_attach_name>” if the thumbnail was uploaded\n        using multipart/form-data under <file_attach_name>. More information on Sending Files »",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the video to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the video caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Video width", null=True
                    ),
                ),
                (
                    "height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Video height", null=True
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Video duration in seconds",
                        null=True,
                    ),
                ),
                (
                    "supports_streaming",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if the uploaded video is suitable for streaming",
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputMediaPhoto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be photo", max_length=16
                    ),
                ),
                (
                    "media",
                    models.CharField(
                        help_text="File to send. Pass a file_id to send a file that exists on the Telegram servers (recommended),\n        pass an HTTP URL for Telegram to get a file from the Internet, or pass\n        “attach://<file_attach_name>” to upload a new one using multipart/form-data under\n        <file_attach_name> name. More information on Sending Files »",
                        max_length=128,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the photo to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the photo caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputMediaDocument",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be document", max_length=16
                    ),
                ),
                (
                    "media",
                    models.CharField(
                        help_text="File to send. Pass a file_id to send a file that exists on the Telegram servers (recommended),\n        pass an HTTP URL for Telegram to get a file from the Internet, or pass\n        “attach://<file_attach_name>” to upload a new one using multipart/form-data under\n        <file_attach_name> name. More information on Sending Files »",
                        max_length=128,
                    ),
                ),
                (
                    "thumb",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Thumbnail of the file sent; can be ignored if thumbnail generation for the file is\n        supported server-side. The thumbnail should be in JPEG format and less than 200 kB in\n        size. A thumbnail's width and height should not exceed 320. Ignored if the file is not\n        uploaded using multipart/form-data. Thumbnails can't be reused and can be only uploaded as\n        a new file, so you can pass “attach://<file_attach_name>” if the thumbnail was uploaded\n        using multipart/form-data under <file_attach_name>. More information on Sending Files »",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the document to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the document caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "disable_content_type_detection",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Disables automatic server-side content type detection for files\n        uploaded using multipart/form-data. Always True, if the document\n        is sent as part of an album.",
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputMediaAudio",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be audio", max_length=16
                    ),
                ),
                (
                    "media",
                    models.CharField(
                        help_text="File to send. Pass a file_id to send a file that exists on the Telegram servers (recommended),\n        pass an HTTP URL for Telegram to get a file from the Internet, or pass\n        “attach://<file_attach_name>” to upload a new one using multipart/form-data under\n        <file_attach_name> name. More information on Sending Files »",
                        max_length=128,
                    ),
                ),
                (
                    "thumb",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Thumbnail of the file sent; can be ignored if thumbnail generation for the file is\n        supported server-side. The thumbnail should be in JPEG format and less than 200 kB in\n        size. A thumbnail's width and height should not exceed 320. Ignored if the file is not\n        uploaded using multipart/form-data. Thumbnails can't be reused and can be only uploaded as\n        a new file, so you can pass “attach://<file_attach_name>” if the thumbnail was uploaded\n        using multipart/form-data under <file_attach_name>. More information on Sending Files »",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the audio to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the audio caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Duration of the audio in seconds",
                        null=True,
                    ),
                ),
                (
                    "performer",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Performer of the audio",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title of the audio",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InputMediaAnimation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be animation", max_length=16
                    ),
                ),
                (
                    "media",
                    models.CharField(
                        help_text="File to send. Pass a file_id to send a file that exists on the Telegram servers (recommended),\n        pass an HTTP URL for Telegram to get a file from the Internet, or pass\n        “attach://<file_attach_name>” to upload a new one using multipart/form-data under\n        <file_attach_name> name. More information on Sending Files »",
                        max_length=128,
                    ),
                ),
                (
                    "thumb",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Thumbnail of the file sent; can be ignored if thumbnail generation for the file is\n        supported server-side. The thumbnail should be in JPEG format and less than 200 kB in\n        size. A thumbnail's width and height should not exceed 320. Ignored if the file is not\n        uploaded using multipart/form-data. Thumbnails can't be reused and can be only uploaded as\n        a new file, so you can pass “attach://<file_attach_name>” if the thumbnail was uploaded\n        using multipart/form-data under <file_attach_name>. More information on Sending Files »",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the animation to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the animation caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Animation width", null=True
                    ),
                ),
                (
                    "height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Animation height", null=True
                    ),
                ),
                (
                    "duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Animation duration in seconds",
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="inputinvoicemessagecontent",
            name="prices",
            field=auto_prefetch.ForeignKey(
                help_text="Price breakdown, a JSON-serialized list of components (e.g. product price, tax, discount,\n        delivery cost, delivery tax, bonus, etc.)",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.labeledprice",
            ),
        ),
        migrations.CreateModel(
            name="InlineQueryResultVoice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be voice", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "voice_url",
                    models.CharField(
                        help_text="A valid URL for the voice recording", max_length=128
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Recording title", max_length=128),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the voice message caption. See formatting options for\n        more details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "voice_duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Recording duration in seconds",
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the voice recording",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultVideo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be video", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "video_url",
                    models.CharField(
                        help_text="A valid URL for the embedded video player or video file",
                        max_length=128,
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        help_text="MIME type of the content of the video URL, “text/html” or “video/mp4”",
                        max_length=128,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        help_text="URL of the thumbnail (JPEG only) for the video",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title for the result", max_length=128),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the video to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the video caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "video_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Video width", null=True
                    ),
                ),
                (
                    "video_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Video height", null=True
                    ),
                ),
                (
                    "video_duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Video duration in seconds",
                        null=True,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the video. This field is\n        required if InlineQueryResultVideo is used to send an HTML-page as a\n        result (e.g., a YouTube video).",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultVenue",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be venue", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 Bytes",
                        max_length=128,
                    ),
                ),
                (
                    "latitude",
                    models.BooleanField(
                        help_text="Latitude of the venue location in degrees"
                    ),
                ),
                (
                    "longitude",
                    models.BooleanField(
                        help_text="Longitude of the venue location in degrees"
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title of the venue", max_length=128),
                ),
                (
                    "address",
                    models.CharField(help_text="Address of the venue", max_length=128),
                ),
                (
                    "foursquare_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Foursquare identifier of the venue if known",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "foursquare_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Foursquare type of the venue, if known. (For example,\n        “arts_entertainment/default”, “arts_entertainment/aquarium” or “food/icecream”.)",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "google_place_id",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Google Places identifier of the venue",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "google_place_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Google Places type of the venue. (See supported types.)",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Url of the thumbnail for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail width", null=True
                    ),
                ),
                (
                    "thumb_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail height", null=True
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the venue",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultPhoto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be photo", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "photo_url",
                    models.CharField(
                        help_text="A valid URL of the photo. Photo must be in JPEG format. Photo size must not exceed 5MB",
                        max_length=128,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        help_text="URL of the thumbnail for the photo", max_length=128
                    ),
                ),
                (
                    "photo_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Width of the photo", null=True
                    ),
                ),
                (
                    "photo_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Height of the photo", null=True
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the photo to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the photo caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the photo",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultMpeg4Gif",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be mpeg4_gif", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "mpeg4_url",
                    models.CharField(
                        help_text="A valid URL for the MPEG4 file. File size must not exceed 1MB",
                        max_length=128,
                    ),
                ),
                (
                    "mpeg4_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Video width", null=True
                    ),
                ),
                (
                    "mpeg4_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Video height", null=True
                    ),
                ),
                (
                    "mpeg4_duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Video duration in seconds",
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        help_text="URL of the static (JPEG or GIF) or animated (MPEG4) thumbnail for the result",
                        max_length=128,
                    ),
                ),
                (
                    "thumb_mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the thumbnail, must be one of “image/jpeg”, “image/gif”, or\n        “video/mp4”. Defaults to “image/jpeg”",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the MPEG-4 file to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the caption. See formatting options for more details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the video animation",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultLocation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be location", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 Bytes",
                        max_length=128,
                    ),
                ),
                (
                    "latitude",
                    models.BooleanField(help_text="Location latitude in degrees"),
                ),
                (
                    "longitude",
                    models.BooleanField(help_text="Location longitude in degrees"),
                ),
                ("title", models.CharField(help_text="Location title", max_length=128)),
                (
                    "horizontal_accuracy",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. The radius of uncertainty for the location, measured in meters; 0-1500",
                        null=True,
                    ),
                ),
                (
                    "live_period",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Period in seconds for which the location can be updated, should be between 60 and\n        86400.",
                        null=True,
                    ),
                ),
                (
                    "heading",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For live locations, a direction in which the user is moving, in degrees. Must be\n        between 1 and 360 if specified.",
                        null=True,
                    ),
                ),
                (
                    "proximity_alert_radius",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. For live locations, a maximum distance for proximity alerts about\n        approaching another chat member, in meters. Must be between 1 and 100000\n        if specified.",
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Url of the thumbnail for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail width", null=True
                    ),
                ),
                (
                    "thumb_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail height", null=True
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the location",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultGif",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be gif", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "gif_url",
                    models.CharField(
                        help_text="A valid URL for the GIF file. File size must not exceed 1MB",
                        max_length=128,
                    ),
                ),
                (
                    "gif_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Width of the GIF", null=True
                    ),
                ),
                (
                    "gif_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Height of the GIF", null=True
                    ),
                ),
                (
                    "gif_duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Duration of the GIF in seconds",
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        help_text="URL of the static (JPEG or GIF) or animated (MPEG4) thumbnail for the result",
                        max_length=128,
                    ),
                ),
                (
                    "thumb_mime_type",
                    models.CharField(
                        blank=True,
                        help_text="Optional. MIME type of the thumbnail, must be one of “image/jpeg”, “image/gif”, or\n        “video/mp4”. Defaults to “image/jpeg”",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the GIF file to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the caption. See formatting options for more details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the GIF animation",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultGame",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be game", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "game_short_name",
                    models.CharField(
                        help_text="Short name of the game", max_length=128
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultDocument",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be document", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title for the result", max_length=128),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the document to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the document caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "document_url",
                    models.CharField(
                        help_text="A valid URL for the file", max_length=128
                    ),
                ),
                (
                    "mime_type",
                    models.CharField(
                        help_text="MIME type of the content of the file, either “application/pdf” or “application/zip”",
                        max_length=128,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. URL of the thumbnail (JPEG only) for the file",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail width", null=True
                    ),
                ),
                (
                    "thumb_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail height", null=True
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the file",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultContact",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be contact", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 Bytes",
                        max_length=128,
                    ),
                ),
                (
                    "phone_number",
                    models.CharField(
                        help_text="Contact's phone number", max_length=128
                    ),
                ),
                (
                    "first_name",
                    models.CharField(help_text="Contact's first name", max_length=32),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Contact's last name",
                        max_length=32,
                        null=True,
                    ),
                ),
                (
                    "vcard",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Additional data about the contact in the form of a vCard, 0-2048 bytes",
                        max_length=2048,
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Url of the thumbnail for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail width", null=True
                    ),
                ),
                (
                    "thumb_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail height", null=True
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the contact",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedVoice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be voice", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "voice_file_id",
                    models.CharField(
                        help_text="A valid file identifier for the voice message",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Voice message title", max_length=128),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the voice message caption. See formatting options for\n        more details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the voice message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedVideo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be video", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "video_file_id",
                    models.CharField(
                        help_text="A valid file identifier for the video file",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title for the result", max_length=128),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the video to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the video caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the video",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedSticker",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be sticker", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "sticker_file_id",
                    models.CharField(
                        help_text="A valid file identifier of the sticker",
                        max_length=128,
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the sticker",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedPhoto",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be photo", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "photo_file_id",
                    models.CharField(
                        help_text="A valid file identifier of the photo", max_length=128
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the photo to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the photo caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the photo",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedMpeg4Gif",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be mpeg4_gif", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "mpeg4_file_id",
                    models.CharField(
                        help_text="A valid file identifier for the MPEG4 file",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the MPEG-4 file to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the caption. See formatting options for more details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the video animation",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedGif",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be gif", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "gif_file_id",
                    models.CharField(
                        help_text="A valid file identifier for the GIF file",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Title for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the GIF file to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the caption. See formatting options for more details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the GIF animation",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedDocument",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be document", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title for the result", max_length=128),
                ),
                (
                    "document_file_id",
                    models.CharField(
                        help_text="A valid file identifier for the file", max_length=128
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption of the document to be sent, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the document caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the file",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultCachedAudio",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be audio", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "audio_file_id",
                    models.CharField(
                        help_text="A valid file identifier for the audio file",
                        max_length=128,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the audio caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the audio",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultAudio",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be audio", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 bytes",
                        max_length=128,
                    ),
                ),
                (
                    "audio_url",
                    models.CharField(
                        help_text="A valid URL for the audio file", max_length=128
                    ),
                ),
                ("title", models.CharField(help_text="Title", max_length=128)),
                (
                    "caption",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Caption, 0-1024 characters after entities parsing",
                        max_length=1024,
                        null=True,
                    ),
                ),
                (
                    "parse_mode",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Mode for parsing entities in the audio caption. See formatting options for more\n        details.",
                        max_length=16,
                        null=True,
                    ),
                ),
                (
                    "performer",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Performer",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "audio_duration",
                    models.IntegerField(
                        blank=True,
                        help_text="Optional. Audio duration in seconds",
                        null=True,
                    ),
                ),
                (
                    "caption_entities",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. List of special entities that appear in the caption, which can be specified\n        instead of parse_mode",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.messageentity",
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Content of the message to be sent instead of the audio",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InlineQueryResultArticle",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="Type of the result, must be article", max_length=16
                    ),
                ),
                (
                    "telegram_id",
                    models.CharField(
                        help_text="Unique identifier for this result, 1-64 Bytes",
                        max_length=128,
                    ),
                ),
                (
                    "title",
                    models.CharField(help_text="Title of the result", max_length=128),
                ),
                (
                    "url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. URL of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "hide_url",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Pass True if you don't want the URL to be shown in the message",
                        null=True,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Short description of the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Url of the thumbnail for the result",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "thumb_width",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail width", null=True
                    ),
                ),
                (
                    "thumb_height",
                    models.IntegerField(
                        blank=True, help_text="Optional. Thumbnail height", null=True
                    ),
                ),
                (
                    "input_message_content",
                    auto_prefetch.ForeignKey(
                        help_text="Content of the message to be sent",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.inputmessagecontent",
                    ),
                ),
                (
                    "reply_markup",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Inline keyboard attached to the message",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.inlinekeyboardmarkup",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="inlinequery",
            name="location",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Sender location, only for bots that request user location",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.location",
            ),
        ),
        migrations.AddField(
            model_name="inlinequery",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="Sender",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.CreateModel(
            name="InlineKeyboardButton",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "text",
                    models.TextField(
                        help_text="Label text on the button", max_length=128
                    ),
                ),
                (
                    "url",
                    models.CharField(
                        blank=True,
                        help_text="Optional. HTTP or tg:// URL to be opened when the button is pressed. Links tg://user?id=<user_id>\n        can be used to mention a user by their ID without using a username, if this is allowed by\n        their privacy settings.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "callback_data",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Data to be sent in a callback query to the bot when button is pressed, 1-64\n        bytes",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "switch_inline_query",
                    models.CharField(
                        blank=True,
                        help_text="Optional. If set, pressing the button will prompt the user to select one of their\n        chats, open that chat and insert the bot's username and the specified inline\n        query in the input field. May be empty, in which case just the bot's\n        username will be inserted.Note: This offers an easy way for users to start\n        using your bot in inline mode when they are currently in a private chat with\n        it. Especially useful when combined with switch_pm… actions - in this case\n        the user will be automatically returned to the chat they switched from,\n        skipping the chat selection screen.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "switch_inline_query_current_chat",
                    models.CharField(
                        blank=True,
                        help_text="Optional. If set, pressing the button will insert the bot's username\n        and the specified inline query in the current chat's input\n        field. May be empty, in which case only the bot's username will\n        be inserted.This offers a quick way for the user to open your\n        bot in inline mode in the same chat - good for selecting\n        something from multiple options.",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "pay",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. Specify True, to send a Pay button.NOTE: This type of button must always be the first\n        button in the first row and can only be used in invoice messages.",
                        null=True,
                    ),
                ),
                (
                    "callback_game",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Description of the game that will be launched when the user presses the\n        button.NOTE: This type of button must always be the first button in the first row.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.callbackgame",
                    ),
                ),
                (
                    "login_url",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. An HTTPS URL used to automatically authorize the user. Can be used as a replacement\n        for the Telegram Login Widget.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.loginurl",
                    ),
                ),
                (
                    "web_app",
                    auto_prefetch.ForeignKey(
                        blank=True,
                        help_text="Optional. Description of the Web App that will be launched when the user presses the button. The\n        Web App will be able to send an arbitrary message on behalf of the user using the method\n        answerWebAppQuery. Available only in private chats between a user and the bot.",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="core.webappinfo",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="GameHighScore",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "position",
                    models.IntegerField(
                        help_text="Position in high score table for the game"
                    ),
                ),
                ("score", models.IntegerField(help_text="Score")),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="User",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="game",
            name="photo",
            field=auto_prefetch.ForeignKey(
                help_text="Photo that will be displayed in the game message in chats.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.photosize",
            ),
        ),
        migrations.AddField(
            model_name="game",
            name="text_entities",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Special entities that appear in text, such as usernames, URLs, bot commands,\n        etc.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.messageentity",
            ),
        ),
        migrations.AddField(
            model_name="encryptedpassportelement",
            name="files",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Array of encrypted files with documents provided by the user, available for\n        “utility_bill”, “bank_statement”, “rental_agreement”, “passport_registration” and\n        “temporary_registration” types. Files can be decrypted and verified using the accompanying\n        EncryptedCredentials.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.passportfile",
            ),
        ),
        migrations.AddField(
            model_name="encryptedpassportelement",
            name="front_side",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Encrypted file with the front side of the document, provided by the user. Available\n        for “passport”, “driver_license”, “identity_card” and “internal_passport”. The file\n        can be decrypted and verified using the accompanying EncryptedCredentials.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.passportfile",
            ),
        ),
        migrations.AddField(
            model_name="encryptedpassportelement",
            name="reverse_side",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Encrypted file with the reverse side of the document, provided by the user.\n        Available for “driver_license” and “identity_card”. The file can be decrypted and\n        verified using the accompanying EncryptedCredentials.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.passportfile",
            ),
        ),
        migrations.AddField(
            model_name="encryptedpassportelement",
            name="selfie",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Encrypted file with the selfie of the user holding a document, provided by the user;\n        available for “passport”, “driver_license”, “identity_card” and “internal_passport”. The\n        file can be decrypted and verified using the accompanying EncryptedCredentials.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.passportfile",
            ),
        ),
        migrations.AddField(
            model_name="encryptedpassportelement",
            name="translation",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Array of encrypted files with translated versions of documents provided by the\n        user. Available if requested for “passport”, “driver_license”, “identity_card”,\n        “internal_passport”, “utility_bill”, “bank_statement”, “rental_agreement”,\n        “passport_registration” and “temporary_registration” types. Files can be decrypted\n        and verified using the accompanying EncryptedCredentials.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.passportfile",
            ),
        ),
        migrations.AddField(
            model_name="document",
            name="thumb",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Document thumbnail as defined by sender",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.photosize",
            ),
        ),
        migrations.AddField(
            model_name="choseninlineresult",
            name="location",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Sender location, only for bots that require user location",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.location",
            ),
        ),
        migrations.AddField(
            model_name="choseninlineresult",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="The user that chose the result",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="chatmemberupdated",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="Performer of the action, which resulted in the change",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.CreateModel(
            name="ChatMemberRestricted",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="The member's status in the chat, always “restricted”",
                        max_length=16,
                    ),
                ),
                (
                    "is_member",
                    models.BooleanField(
                        help_text="True, if the user is a member of the chat at the moment of the request"
                    ),
                ),
                (
                    "can_change_info",
                    models.BooleanField(
                        help_text="True, if the user is allowed to change the chat title, photo and other settings"
                    ),
                ),
                (
                    "can_invite_users",
                    models.BooleanField(
                        help_text="True, if the user is allowed to invite new users to the chat"
                    ),
                ),
                (
                    "can_pin_messages",
                    models.BooleanField(
                        help_text="True, if the user is allowed to pin messages"
                    ),
                ),
                (
                    "can_manage_topics",
                    models.BooleanField(
                        help_text="True, if the user is allowed to create forum topics"
                    ),
                ),
                (
                    "can_send_messages",
                    models.BooleanField(
                        help_text="True, if the user is allowed to send text messages, contacts, locations and venues"
                    ),
                ),
                (
                    "can_send_media_messages",
                    models.BooleanField(
                        help_text="True, if the user is allowed to send audios, documents, photos, videos, video\n        notes and voice notes"
                    ),
                ),
                (
                    "can_send_polls",
                    models.BooleanField(
                        help_text="True, if the user is allowed to send polls"
                    ),
                ),
                (
                    "can_send_other_messages",
                    models.BooleanField(
                        help_text="True, if the user is allowed to send animations, games, stickers and use inline\n        bots"
                    ),
                ),
                (
                    "can_add_web_page_previews",
                    models.BooleanField(
                        help_text="True, if the user is allowed to add web page previews to their messages"
                    ),
                ),
                (
                    "until_date",
                    models.IntegerField(
                        help_text="Date when restrictions will be lifted for this user; unix time. If 0, then the user is\n        restricted forever"
                    ),
                ),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="Information about the user",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMemberOwner",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="The member's status in the chat, always “creator”",
                        max_length=16,
                    ),
                ),
                (
                    "is_anonymous",
                    models.BooleanField(
                        help_text="True, if the user's presence in the chat is hidden"
                    ),
                ),
                (
                    "custom_title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Custom title for this user",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="Information about the user",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMemberMember",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="The member's status in the chat, always “member”",
                        max_length=16,
                    ),
                ),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="Information about the user",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMemberLeft",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="The member's status in the chat, always “left”",
                        max_length=16,
                    ),
                ),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="Information about the user",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMemberBanned",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="The member's status in the chat, always “kicked”",
                        max_length=16,
                    ),
                ),
                (
                    "until_date",
                    models.IntegerField(
                        help_text="Date when restrictions will be lifted for this user; unix time. If 0, then the user is banned\n        forever"
                    ),
                ),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="Information about the user",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ChatMemberAdministrator",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="The member's status in the chat, always “administrator”",
                        max_length=16,
                    ),
                ),
                (
                    "can_be_edited",
                    models.BooleanField(
                        help_text="True, if the bot is allowed to edit administrator privileges of that user"
                    ),
                ),
                (
                    "is_anonymous",
                    models.BooleanField(
                        help_text="True, if the user's presence in the chat is hidden"
                    ),
                ),
                (
                    "can_manage_chat",
                    models.BooleanField(
                        help_text="True, if the administrator can access the chat event log, chat statistics, message\n        statistics in channels, see channel members, see anonymous administrators in\n        supergroups and ignore slow mode. Implied by any other administrator privilege"
                    ),
                ),
                (
                    "can_delete_messages",
                    models.BooleanField(
                        help_text="True, if the administrator can delete messages of other users"
                    ),
                ),
                (
                    "can_manage_video_chats",
                    models.BooleanField(
                        help_text="True, if the administrator can manage video chats"
                    ),
                ),
                (
                    "can_restrict_members",
                    models.BooleanField(
                        help_text="True, if the administrator can restrict, ban or unban chat members"
                    ),
                ),
                (
                    "can_promote_members",
                    models.BooleanField(
                        help_text="True, if the administrator can add new administrators with a subset of their own\n        privileges or demote administrators that he has promoted, directly or\n        indirectly (promoted by administrators that were appointed by the user)"
                    ),
                ),
                (
                    "can_change_info",
                    models.BooleanField(
                        help_text="True, if the user is allowed to change the chat title, photo and other settings"
                    ),
                ),
                (
                    "can_invite_users",
                    models.BooleanField(
                        help_text="True, if the user is allowed to invite new users to the chat"
                    ),
                ),
                (
                    "can_post_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the administrator can post in the channel; channels only",
                        null=True,
                    ),
                ),
                (
                    "can_edit_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the administrator can edit messages of other users and can pin\n        messages; channels only",
                        null=True,
                    ),
                ),
                (
                    "can_pin_messages",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to pin messages; groups and supergroups only",
                        null=True,
                    ),
                ),
                (
                    "can_manage_topics",
                    models.BooleanField(
                        blank=True,
                        help_text="Optional. True, if the user is allowed to create, rename, close, and reopen forum\n        topics; supergroups only",
                        null=True,
                    ),
                ),
                (
                    "custom_title",
                    models.CharField(
                        blank=True,
                        help_text="Optional. Custom title for this user",
                        max_length=128,
                        null=True,
                    ),
                ),
                (
                    "user",
                    auto_prefetch.ForeignKey(
                        help_text="Information about the user",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.user",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="chatmember",
            name="ChatMemberAdministrator",
            field=auto_prefetch.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.chatmemberadministrator",
            ),
        ),
        migrations.AddField(
            model_name="chatmember",
            name="ChatMemberBanned",
            field=auto_prefetch.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.chatmemberbanned",
            ),
        ),
        migrations.AddField(
            model_name="chatmember",
            name="ChatMemberLeft",
            field=auto_prefetch.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.chatmemberleft",
            ),
        ),
        migrations.AddField(
            model_name="chatmember",
            name="ChatMemberMember",
            field=auto_prefetch.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.chatmembermember",
            ),
        ),
        migrations.AddField(
            model_name="chatmember",
            name="ChatMemberOwner",
            field=auto_prefetch.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.chatmemberowner",
            ),
        ),
        migrations.AddField(
            model_name="chatmember",
            name="ChatMemberRestricted",
            field=auto_prefetch.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.chatmemberrestricted",
            ),
        ),
        migrations.CreateModel(
            name="ChatLocation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "address",
                    models.CharField(
                        help_text="Location address; 1-64 characters, as defined by the chat owner",
                        max_length=64,
                    ),
                ),
                (
                    "location",
                    auto_prefetch.ForeignKey(
                        help_text="The location to which the supergroup is connected. Can't be a live location.",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="core.location",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="chatjoinrequest",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="User that sent the join request",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="chatinvitelink",
            name="creator",
            field=auto_prefetch.ForeignKey(
                help_text="Creator of the link",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="chat",
            name="location",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. For supergroups, the location to which the supergroup is connected. Returned only in\n        getChat.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chatlocation",
            ),
        ),
        migrations.AddField(
            model_name="chat",
            name="permissions",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Default chat member permissions, for groups and supergroups. Returned only in\n        getChat.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chatpermissions",
            ),
        ),
        migrations.AddField(
            model_name="chat",
            name="photo",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Chat photo. Returned only in getChat.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.chatphoto",
            ),
        ),
        migrations.AddField(
            model_name="chat",
            name="pinned_message",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. The most recent pinned message (by sending date). Returned only in getChat.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.message",
            ),
        ),
        migrations.AddField(
            model_name="callbackquery",
            name="message",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Message with the callback button that originated the query. Note that message content\n        and message date will not be available if the message is too old",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.message",
            ),
        ),
        migrations.AddField(
            model_name="callbackquery",
            name="user",
            field=auto_prefetch.ForeignKey(
                help_text="Sender",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="core.user",
            ),
        ),
        migrations.AddField(
            model_name="audio",
            name="thumb",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Thumbnail of the album cover to which the music file belongs",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.photosize",
            ),
        ),
        migrations.AddField(
            model_name="animation",
            name="thumb",
            field=auto_prefetch.ForeignKey(
                blank=True,
                help_text="Optional. Animation thumbnail as defined by sender",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="core.photosize",
            ),
        ),
    ]
